# std::_Maybe_wrap_member_pointer< _Tp > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Tp>
struct std::_Maybe_wrap_member_pointer< _Tp >

Maps member pointers into instances of _Mem_fn but leaves all other function objects untouched. Used by tr1::bind(). The primary template handles the non--member-pointer case.

Definition at line 1090 of file tr1_impl/functional.

## Public Types

- typedef _Tp type

## Static Public Member Functions

- static const _Tp & __do_wrap (const _Tp &__x)

The documentation for this struct was generated from the following file:

- tr1_impl/functional